#
# spec file for package splat 
#
# Copyright (c) 2025 SUSE LLC.
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           splat
Version:        1.4.2
Release:        2.8
License:        GPL-2.0
Summary:        Analyze point-to-point terrestrial RF communication links
Url:            http://www.qsl.net/kd2bd/splat.html
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.bz2
Source2:        fontdata.h
Source3:        hd-parms.h
Source4:        splat.h
Source5:        std-parms.h
Patch1:         %{name}-1.4.0_configure_noninteractive.diff
Patch2:         splat-remove-march.patch
BuildRequires:  gcc-c++
BuildRequires:  libbz2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel
Requires:       bzip2
Requires:       gnuplot

%description
SPLAT! is a Surface Path Length And Terrain analysis application written 
for Linux and Unix workstations. SPLAT! analyzes point-to-point 
terrestrial RF communication links, and provides information useful 
to communication system designers and site engineers.

%prep
%setup -q
%patch -P 1 -p1
%patch -P 2 -p1

%build
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .
sed -i -e "s/ans=\"\"/ans=\"5\"/" configure
./build all

%install
install -m 755 -D %{name} -t %{buildroot}%{_bindir}
install -m 755 -D utils/citydecoder -t %{buildroot}%{_bindir}
install -m 755 -D utils/usgs2sdf -t %{buildroot}%{_bindir}
install -m 755 -D utils/srtm2sdf -t %{buildroot}%{_bindir}
install -m 755 -D utils/srtm2sdf-hd -t %{buildroot}%{_bindir}
install -m 644 -D docs/english/man/splat.1 -t %{buildroot}%{_mandir}/man1

%check

%files
%{_bindir}/*
%{_mandir}/man1/*
%doc README docs/english/pdf/splat.pdf docs/english/text/splat.txt docs/english/postscript/splat.ps CHANGES COPYING %{name}-%{version}.lsm

%changelog
* Mon Apr 21 2025 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Cleanup of the package, old source tarbals and patches removed
- Specfile updated to current standard
- File fontdata.h modified to build for current distributions
- Added patch splat-remove-march.patch to enable build for non Intel
  architectures
* Sun Feb 15 2015 wk@ire.pw.edu.pl
- update to version 1.4.2
* Sun Feb 16 2014 wk@ire.pw.edu.pl
- update to version 1.4.1
* Thu Feb 28 2013 dl8fcl@darc.de
- update to version 1.4.0
  fix for 12.3
* Mon Mar  7 2011 dl8fcl@darc.de
- fix for 11.4
* Mon Nov  2 2009 dl9pf@gmx.de
- version bump
* Fri Apr 17 2009 dl9pf@gmx.de
- version bump
* Sat Oct  4 2008 dl9pf@gmx.de
- fix build for factory
